//Pillar for stairway in Hillingham estate hallway
#include "shapes2.inc"
#include "octagon.inc"
#include "wainscot.inc"
#include "connect.inc"


// octagonal pillar 
#declare Pillar=
object {
  union { 
    intersection {
       Octagon
       scale <1.2 1.1 1.2>
       translate <0.0 0.6 0.0>
    }
    union {
       Connector
       scale <0.35 0.3 0.35>
       translate <0.0 1.88 0.0>
    }
    intersection {
       Octagon
       scale <0.8 1.7 0.8>
       translate <0.0 3.78 0.0>
    }     
    union {
       Connector
       scale <0.35 0.3 0.35>
       rotate <180.0 0.0 0.0>
       translate <0.0 5.68 0.0>
    }
    intersection {
       Octagon
       scale <1.2 0.5 1.2>
       translate <0.0 6.35 0.0>
    }
    intersection {
       Octagon
       scale <1.5 0.05 1.5>
       translate <0.0 6.8 0.0>
    }
    union {
       Connector
       scale <0.48 0.3 0.48>
       rotate <180.0 0.0 0.0>
       translate <0.0 7.0 0.0>
    }
    union {
       Connector
       scale <0.48 0.3 0.48>
       translate <0.0 7.1 0.0>
    }
    intersection {
       Octagon
       scale <0.8 0.07 0.8>
       translate <0.0 7.3 0.0>
    }
  } 
   translate <0.0 0.4 0.0>
   texture {
      Stone6
      scale <2.0 1.0 2.0>
      rotate <0.0 0.0 -45.0>
      ambient 0.2
      diffuse 0.7   
      phong 1
      phong_size 100
      brilliance 10
   }
   bounded_by {
      box {<0 0 0> <1 1 1>
         scale <3.5 8.0 3.5>
         translate <-1.5 0 -1.5>}
   }
}
object {Pillar
        scale <3.5 3.5 3.5>
        rotate <90.0 0.0 0.0>
        translate <1.2 -2.0 3.0>}

object {Pillar
        scale <3.5 3.5 3.5>
        rotate <90.0 0.0 0.0>
        translate <1.2 49.6 3.0>}

object {Pillar
        scale <3.5 3.5 3.5>
        rotate <90.0 0.0 0.0>
        translate <49.72 -2.0 31.0>}

object {Pillar
        scale <3.5 3.5 3.5>
        rotate <90.0 0.0 0.0>
        translate <49.72 49.6 31.0>}

object {Pillar
        scale <3.5 3.5 3.5>
        rotate <90.0 0.0 0.0>
        translate <49.72 -30.0 45.0>}

object {Pillar
        scale <3.5 3.5 3.5>
        rotate <90.0 0.0 0.0>
        translate <49.72 78.5 45.0>}

